Subject: [bug#47852] [PATCH] gnu: Add sc-im

From: "jgart" <[email-masked]>
Date: Sun, 18 Apr 2021 16:57:31 +0000

> In the same way that asciinema is a screen recorder for the terminal ;)
> 

Yes, it's currently not consistent what's included in the terminals module.

Asciinema should probably go somewhere else.

Maybe we need a terminal-apps module like haskell-apps and rust-apps. 

We can put all of these terminal programs in this new module. I think that would make things clearer.

What do you think?

>> Maybe we can do a clean up soon and put all these programs in a new
>> module?
> That would probably be a good idea. The way packages are categorized is
> still a little confusing to me. :)

Let's plan on that. I'd be happy help with clean up.

BTW, I'm hosting a guix packaging meetup in 6 days. 

If you'd like to work on any of this together in a group or a new package/upgrade stop by:

https://events.nixnet.services/events/27955ca1-0aee-4ec5-be20-48e6c45fd0f6

all the best,

jgart

April 18, 2021 12:41 PM, "Xinglu Chen" <[email-masked]> wrote:

> Hi,
> 
> On Sun, Apr 18 2021, jgart wrote:
> 
>> I appreciate your review. I attached an updated patch with your
>> suggestions. Thank you for pointing those out.
> 
> You are welcome!
> 
>> I moved home-page closer to the top so that I can reuse it in the url
>> field.
> 
> Good idea.
> 
>>> I suggest adding it to (gnu packages terminals) instead of creating a
>>> new file. You will find asciinema and fzf there.
>> 
>> I'm not sure if it makes sense to me for sc-im to go into terminals.
>> 
>> It seems like terminals has mostly terminal emulators.
>> 
>> Like I pointed out in my previous email, why wouldn't calcurse and
>> visidata also go into the terminals module?
> 
> I don’t know why those two programs are in their own files, but after
> taking a closer look, I found that some programs are put in different
> modules based on the program’s purpose. For example, bashtop, htop, and
> nnn all go in (gnu packages admin), and neomutt/mutt are put in (gnu
> packages mail). By that logic maybe it would make sense to put sc-im in
> (gnu packages maths) or (gnu packages statistics)?
> 
>> sc-im is a spreadsheet program for the terminal in the same way that
>> calcurse is a calendar program for the terminal.
> 
> In the same way that asciinema is a screen recorder for the terminal ;)
> 
>> Maybe we can do a clean up soon and put all these programs in a new
>> module?
> 
> That would probably be a good idea. The way packages are categorized is
> still a little confusing to me. :)